<?php

/**
 * @file
 * Admin page callbacks for the wikiovote module.
 */

/**
 * Administration settings form.
 *
 * @see system_settings_form()
 */
function wikiovote_admin_settings() {
  global $base_url;
  $module_path = $base_url . '/'. drupal_get_path('module', 'wikiovote');
  $form = array();

  $form['wikiovote'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings')
  );
  $form['wikiovote']['wikiovote_button_type'] = array(
    '#type' => 'radios',
    '#title' => t('Button types'),
    '#default_value' => variable_get('wikiovote_button_type', 'big'),
    '#options' => array('big' => '<img src="' . $module_path . '/images/wikiovote_big.png' . '" alt="big" />', 'inline' => '<img src="' . $module_path . '/images/wikiovote_inline.png' . '" alt="inline" />'),
    '#description' => t('Specifies the button type (also named <em>clicker type</em>)')
  );
  $form['wikiovote']['wikiovote_button_weight'] = array(
    '#type' => 'select',
    '#title' => t('Weight'),
    '#default_value' => variable_get('wikiovote_button_weight', 0),
    '#options' => drupal_map_assoc(range(-20, 20)),
    '#description' => t('Specifies the position of the <em>Wikio vote</em> button (a low weight will display the button above the content and a high weight, below the content)')
  );
  $form['wikiovote']['wikiovote_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Node types'),
    '#default_value' => variable_get('wikiovote_node_types', array()),
    '#options' => node_get_types('names'),
    '#description' => t('Activate the node types in where the <em>Wikio vote</em> button shall be displayed')
  );
  $form['wikiovote']['wikiovote_where'] = array(
    '#type' => 'select',
    '#title' => t('Where to display'),
    '#default_value' => variable_get('wikiovote_where', 0),
    '#options' => array(t('Nodes'), t('Links'))
  );
  $form['wikiovote']['wikiovote_in_node'] = array(
    '#type' => 'select',
    '#title' => t('When to display in nodes'),
    '#default_value' => variable_get('wikiovote_in_node', 0),
    '#options' => array(0 => t('Disabled'), 1 => t('Teaser view'), 2 => t('Full page view'), 3 => t('Teaser and full page view')),
    '#description' => t('When to display the <em>Wikio vote</em> button in the node')
  );
  if (variable_get('wikiovote_where', 0) == 1) {
    $form['wikiovote']['wikiovote_in_node']['#disabled'] = TRUE;
  }

  return system_settings_form($form);
}
